basic_data_heading_map = {
    "gstin": "GSTIN",
    "fp": "Month",
    "filing_typ": "Filing Mode",
    "gt": "GT",
    "cur_gt": "Current GT",
    "fil_dt": "Filing Date",
}

b2b_heading_map = {
    "chksum": "Check Sum",
    "itms_0_itm_det_iamt": "IGST",
    "rchrg": "Reverse Charge",
    "itms_0_itm_det_csamt": "Cess",
    "idt": "Invoice Date",
    "ctin": "GSTIN",
    "inv_typ": "Invoice Type",
    "itms_0_itm_det_txval": "Taxable Value",
    "cflag": "C-Flag",
    "itms_0_itm_det_camt": "CGST",
    "itms_0_itm_det_rt": "Rate",
    "updby": "Updated by",
    "cfs": "CFS",
    "flag": "Flag",
    "inum": "Invoice No.",
    "itms_0_itm_det_samt": "SGST",
    "pos": "Place of Sale",
    "itms_0_num": "Rate Number",
    "val": "Invoice Value",
}


b2b_credit_notes_headings_map = {
    "itms_0_itm_det_iamt": "IGST",
    "updby": "Updated by",
    "cfs": "CFS",
    "nt_num": "Credit Note No",
    "itms_0_itm_det_samt": "SGST",
    "nt_dt": "Credit Note Date",
    "idt": "Invoice Date",
    "itms_0_itm_det_rt": "Rate",
    "val": "Invoice Value",
    "flag": "Flag",
    "p_gst": "P GST",
    "itms_0_itm_det_camt": "CGST",
    "ntty": "Credit Note Type",
    "ctin": "GSTIN",
    "itms_0_num": "Rate Number",
    "cflag": "C Flag",
    "itms_0_itm_det_txval": "Taxable Value",
    "inum": "Original Invoice Number",
    "chksum": "Check Sum",
}

b2c_credit_notes_headings_map = {
    "nt_num": "Credit Note No",
    "nt_dt": "Credit Note Date",
    "idt": "Invoice Date",
    "itms_0_itm_det_rt": "Rate",
    "val": "Invoice Value",
    "flag": "Flag",
    "ntty": "Invoice Type",
    "typ": "Credit Note Type",
    "itms_0_num": "Rate Number",
    "itms_0_itm_det_txval": "Taxable Value",
    "inum": "Original Invoice Number",
    "chksum": "Check Sum",
    "d_flag": "D Flag",
    "itms_0_itm_det_iamt": "IGST",
    "itms_0_itm_det_camt": "CGST",
    "itms_0_itm_det_samt": "SGST",
    "itms_0_itm_det_csamt": "Cess",
}

b2c_credit_note_amendments_headings_map = {
    "chksum": "Checksum",
    "d_flag": "D Flag",
    "flag": "Flag",
    "itms_0_itm_det_rt": "Rate",
    "itms_0_itm_det_txval": "Taxable Value",
    "itms_0_num": "Rate Number",
    "ntty": "Invoice Type",
    "nt_dt": "Invoice Date",
    "nt_num": "Invoice Number",
    "typ": "Type",
    "val": "Invoice Value",
}

b2cs_sales_heading_map = {
    "samt": "SGST",
    "camt": "CGST",
    "typ": "Type",
    "flag": "Flag",
    "sply_ty": "Supply Type",
    "chksum": "Check Sum",
    "iamt": "IGST",
    "txval": "Taxable Value",
    "rt": "Rate",
    "pos": "Place of Supply",
}

b2csa_heading_map = {
    "samt": "SGST",
    "camt": "CGST",
    "typ": "Type",
    "flag": "Flag",
    "omon": "Amended Month",
    "sply_ty": "Supply Type",
    "chksum": "Check Sum",
    "iamt": "IGST",
    "txval": "Taxable Value",
    "rt": "Rate",
    "pos": "Place of Supply",
}

export_headings_map = {
    "itms_0_csamt": "Cess",
    "itms_0_iamt": "IGST",
    "val": "Invoice Value",
    "itms_0_rt": "Rate",
    "idt": "Invoice Date",
    "exp_typ": "Exports Type",
    "flag": "Flag",
    "chksum": "Check Sum",
    "itms_0_txval": "Taxable Value",
    "inum": "Invoice Number",
}

export_amendments_headings_map = {
    "exp_typ": "Export Type",
    "itms_0_csamt": "Cess",
    "itms_0_rt": "Rate",
    "itms_0_txval": "Taxable Value",
    "idt": "Invoice Date",
    "itms_0_iamt": "IGST",
    "flag": "Flag",
    "val": "Invoice Value",
    "oinum": "Old Invoice Number",
    "oidt": "Old Invoice Date",
    "chksum": "Checksum",
}

b2b_credit_note_amendments_headings_map = {
    "cflag": "C Flag",
    "cfs": "CFS",
    "chksum": "Checksum",
    "ctin": "GSTIN",
    "flag": "Flag",
    "idt": "Invoice Date",
    "inum": "Invoice Number",
    "itms_0_itm_det_iamt": "IGST",
    "itms_0_itm_det_camt": "CGST",
    "itms_0_itm_det_samt": "SGST",
    "itms_0_itm_det_rt": "Rate",
    "itms_0_itm_det_txval": "Taxable Value",
    "itms_0_num": "Rate Number",
    "ntty": "CDNR Rate",
    "nt_dt": "Credit Note Date",
    "nt_num": "Credit Note Number",
    "ont_dt": "Old Credit Note Date",
    "ont_num": "Old Credit Note Number",
    "p_gst": "PGST",
    "updby": "Updated by",
    "val": "Invoice Value",
}

b2ba_heading_map = {
    "idt": "Invoice Date",
    "inv_typ": "Invoice Type",
    "itms_0_itm_det_rt": "Rate",
    "itms_0_itm_det_camt": "CGST",
    "pos": "Place of Sale",
    "val": "Invoice Value",
    "updby": "Updated by",
    "itms_0_itm_det_txval": "Taxable Value",
    "cflag": "C Flag",
    "itms_0_num": "Rate Number",
    "oidt": "Old Invoice Date",
    "ctin": "GSTIN",
    "cfs": "CFS",
    "rchrg": "Reverse Charge",
    "itms_0_itm_det_samt": "SGST",
    "inum": "Invoice Number",
    "oinum": "Old Invoice Number",
    "flag": "Flag",
    "chksum": "Check Sum",
}
